# Includes a common template
include:
 - project: 'spc/tcv/tbx/git-tools-spc'
   file: 'gitlab-ci-tbx-template.yml'

# no build for gdat, so don't define jobs for this phase


test-matlab850:
  extends: .test-template
  before_script:
  - cd matlab
  variables:
    MATLABCMD: matlab850
    TESTCASE: basic-tcv

test-matlab:
  extends: .test-template
  before_script:
  - cd matlab
  variables:
    MATLABCMD: matlab
    TESTCASE: basic-tcv

test-matlab850-all:
  extends: test-matlab850
  variables:
     TESTCASE: all
  only:
  - schedules
  - web

deploy: 
  extends: .deploy-to-lac-template

test-matlab850-deployed:
  extends: .test-template-deployed
  variables:
    MATLABCMD: matlab850

test-matlab-deployed:
  extends: .test-template-deployed
  variables:
    MATLABCMD: matlab
